ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From funeeldy <marlene_c...@affirmednetworks.com>
Subject trying to create a resolver to handle the published artifacts
Date Tue, 04 Jan 2011 18:12:11 GMT

I am very new to ivy/ant, but I have setup a publisher that uses this shell
scripts to name the artifacts using the scm version in git.

#!/bin/sh
#
# Get the Git SHA-1 value for a specific package
# git submodule status shows a + or - sign in front of a SHA-1 signature
# that indicates if the SHA-1 hash is consistent with the head
# We don't need this, just the SHA-1 value

package=$1
git submodule status | \
awk "\$2 == \"projects/${package}\" { print \$1 }" | \
sed 's/-//g ; s/+//g'

When I use a default resolver of latest-integration, it finds old versions
of the artifacts.  I have modified my resolver to use latest-time as an
interim fix, but what I really need is for my resolver to find the version
that matches my scm version in my workspace.  Any assistance is welcome. 
Thanks.
-- 
View this message in context: http://old.nabble.com/trying-to-create-a-resolver-to-handle-the-published-artifacts-tp30589232p30589232.html
Sent from the ivy-user mailing list archive at Nabble.com.


Mime
View raw message